Skip to main content
POST
/
embeddings
Create embeddings
curl --request POST \
  --url https://api.runcrate.ai/v1/embeddings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "<string>",
  "input": "<string>",
  "encoding_format": "float"
}
'
{
  "data": [
    {
      "index": 123,
      "embedding": [
        123
      ]
    }
  ],
  "model": "<string>",
  "usage": {
    "prompt_tokens": 123,
    "total_tokens": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://runcrate.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use a Runcrate API key with the rc_live_* prefix as the bearer token. Create one at https://www.runcrate.ai/dashboard/api-keys.

Body

application/json
model
string
required
input
required
encoding_format
enum<string>
default:float
Available options:
float,
base64

Response

Embedding vectors.

object
enum<string>
Available options:
list
data
object[]
model
string
usage
object